/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Cargos;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface CargosFacadeLocal {

    void create(Cargos cargos);

    void edit(Cargos cargos);

    void remove(Cargos cargos);

    Cargos find(Object id);

    List<Cargos> findAll();

    List<Cargos> findRange(int[] range);

    int count();

    Double cargosPorConsultorPublico(String consultorCodigo);

    List<Cargos> listaCargos(String consultorCodigo);

    List<Cargos> ObtenerCargos(String consultorCodigo, int tipo);

    String ObtenerUltimaFactura(String sucursalCodigo, String documentoCodigo, String facturaSerie);

    String obtenerFacturaSig(String sucursalCodigo, String documentoCodigo, String facturaSerie);

    String obtenerUltimoRecibo(String sucursal, String tipoRecibo);

    String validaBoleta(String consultorCodigo, Double valor, String banco);

    String obtenerCargos(String consultorCodigo);

    Double obtenerCargosPremios(String sucursalCodigo);

    boolean ObtenerBolsoPrimerPedido(String consultorCodigo);

    Integer ObtenerPuntos(String consultorCodigo, String tipo);

    boolean ObtenerEquipoTrabajo(String consultorCodigo);

    boolean ObtenerPrimeraFactura(String consultorCodigo);

    boolean validaSaldoMesAnteriror(String consultorCodigo);

    Boolean validaBoletaBolean(String consultorCodigo, Double valor, String banco);

    List<Cargos> ObtenerCargos(String consultorCodigo, int tipo, String sucursalCodigo);
}
